//  Foundation for Sites Settings
//  -----------------------------
//
//  Table of Contents:
//
//   1. Global
//   2. Breakpoints
//   3. The Grid
//   4. Base Typography
//   5. Typography Helpers
//   6. Abide
//   7. Accordion
//   8. Accordion Menu
//   9. Badge
//  10. Breadcrumbs
//  11. Button
//  12. Button Group
//  13. Callout
//  14. Card
//  15. Close Button
//  16. Drilldown
//  17. Dropdown
//  18. Dropdown Menu
//  19. Forms
//  20. Label
//  21. Media Object
//  22. Menu
//  23. Meter
//  24. Off-canvas
//  25. Orbit
//  26. Pagination
//  27. Progress Bar
//  28. Responsive Embed
//  29. Reveal
//  30. Slider
//  31. Switch
//  32. Table
//  33. Tabs
//  34. Thumbnail
//  35. Title Bar
//  36. Tooltip
//  37. Top Bar

// 0. Custom
// ---------
$top-bar-offset: 60px;
$sidebar-is-open-x: 265px;
$sidebar-is-open-y: 35px;
$offcanvas-time: 300ms;

//gradient overlay
$top-bar-bottom-line: #e7e9ea;
$gradient-start: rgba(#000, .0);
$gradient-end: rgba(#000000, .6);
$the-top-bar-height: 45px;

$lightest-gray: #f7f7f7;
$light-gray-2: #e7e9ea;
$medium-gray: #cacaca;
$medium-gray-2: #93989c;
$medium-gray-3: #757575;
$very-dark-gray: #121212;
$blueish-gray: #828a91;
$rate-down: #f44336;
$rate-up: #8bc34b;
$rate-none: $medium-gray-2;

// 1. Global
// ---------
$global-font-size: 100%;
$global-width: rem-calc(640);
$global-lineheight: 1.5;
$foundation-palette: (
  primary: #cc0000,
  secondary: #767676,
  success: #3adb76,
  warning: #ffae00,
  alert: #cc4b37,
);
$light-gray: #e6e6e6;
$dark-gray: #8a8a8a;
$black: #0a0a0a;
$white: #ffffff;
//$white: #fefefe;
$body-background: $white;
$body-font-color: $black;
$body-font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
$body-antialiased: true;
$global-margin: 6px;
// $global-margin: .35rem; //5.6px
// $global-margin: 1rem;
// $global-padding: 1rem;
$global-padding: 1rem;
$global-weight-normal: normal;
$global-weight-bold: bold;
$global-radius: 5px;
$global-text-direction: ltr;
$global-flexbox: false;
$print-transparent-backgrounds: true;
@include add-foundation-colors;

// 2. Breakpoints
// --------------

$breakpoints: (
  small: 0,
  medium: 640px,
  large: 1024px,
  xlarge: 1200px,
  xxlarge: 1440px,
);
$print-breakpoint: large;
$breakpoint-classes: (small);
/*$breakpoint-classes: (small medium large);*/

// 3. The Grid
// -----------

$grid-row-width: $global-width;
$grid-column-count: 12;
$grid-column-gutter: (
  small: 18px,
  medium: 24px,
);
$grid-column-align-edge: true;
$block-grid-max: 8;

// 4. Base Typography
// ------------------

$header-font-family: $body-font-family;
$header-font-weight: $global-weight-normal;
$header-font-style: normal;
$font-family-monospace: Consolas, 'Liberation Mono', Courier, monospace;
$header-color: inherit;
$header-lineheight: 1.4;
$header-margin-bottom: 0.5rem;
$header-styles: (
  small: (
    'h1': ('font-size': 24),
    'h2': ('font-size': 20),
    'h3': ('font-size': 19),
    'h4': ('font-size': 18),
    'h5': ('font-size': 17),
    'h6': ('font-size': 16),
  ),
  medium: (
    'h1': ('font-size': 48),
    'h2': ('font-size': 40),
    'h3': ('font-size': 31),
    'h4': ('font-size': 25),
    'h5': ('font-size': 20),
    'h6': ('font-size': 16),
  ),
);
$header-text-rendering: optimizeLegibility;
$small-font-size: 80%;
$header-small-font-color: $medium-gray;
$paragraph-lineheight: 1.6;
$paragraph-margin-bottom: 1rem;
$paragraph-text-rendering: optimizeLegibility;
$code-color: $black;
$code-font-family: $font-family-monospace;
$code-font-weight: $global-weight-normal;
$code-background: $light-gray;
$code-border: 1px solid $medium-gray;
$code-padding: rem-calc(2 5 1);
$anchor-color: $primary-color;
$anchor-color-hover: scale-color($anchor-color, $lightness: -14%);
$anchor-text-decoration: none;
$anchor-text-decoration-hover: none;
$hr-width: $global-width;
$hr-border: 1px solid $light-gray;
$hr-margin: rem-calc(20) auto;
$list-lineheight: $paragraph-lineheight;
$list-margin-bottom: $paragraph-margin-bottom;
$list-style-type: disc;
$list-style-position: outside;
$list-side-margin: 1.25rem;
$list-nested-side-margin: 1.25rem;
$defnlist-margin-bottom: 1rem;
$defnlist-term-weight: $global-weight-bold;
$defnlist-term-margin-bottom: 0.3rem;
$blockquote-color: $dark-gray;
$blockquote-padding: rem-calc(9 20 0 19);
$blockquote-border: 1px solid $medium-gray;
$cite-font-size: rem-calc(13);
$cite-color: $dark-gray;
$cite-pseudo-content: '\2014 \0020';
$keystroke-font: $font-family-monospace;
$keystroke-color: $black;
$keystroke-background: $light-gray;
$keystroke-padding: rem-calc(2 4 0);
$keystroke-radius: $global-radius;
$abbr-underline: 1px dotted $black;

// 5. Typography Helpers
// ---------------------

$lead-font-size: $global-font-size * 1.25;
$lead-lineheight: 1.6;
$subheader-lineheight: 1.4;
$subheader-color: $dark-gray;
$subheader-font-weight: $global-weight-normal;
$subheader-margin-top: 0.2rem;
$subheader-margin-bottom: 0.5rem;
$stat-font-size: 2.5rem;


// 9. Badge
// --------

$badge-background: $primary-color;
$badge-color: $white;
$badge-color-alt: $black;
$badge-palette: $foundation-palette;
// $badge-padding: 0.3em;
// $badge-minwidth: 2.1em;
// $badge-font-size: 0.6rem;
$badge-padding: 0em;
$badge-minwidth: 1.5em;
$badge-font-size: 0.8rem;
// 11. Button
// ----------

$button-padding: 0.85em 1em;
$button-margin: 0 0 $global-margin 0;
$button-fill: solid;
$button-background: $primary-color;
$button-background-hover: scale-color($button-background, $lightness: -15%);
$button-color: $white;
$button-color-alt: $black;
$button-radius: $global-radius;
$button-sizes: (
  tiny: 0.6rem,
  small: 0.75rem,
  default: 0.9rem,
  large: 1.25rem,
);
$button-palette: $foundation-palette;
$button-opacity-disabled: 0.25;
$button-background-hover-lightness: -20%;
$button-hollow-hover-lightness: -50%;
$button-transition: background-color 0.25s ease-out, color 0.25s ease-out;

// 12. Button Group
// ----------------

$buttongroup-margin: 1rem;
$buttongroup-spacing: 1px;
$buttongroup-child-selector: '.button';
$buttongroup-expand-max: 6;
$buttongroup-radius-on-each: true;

// 15. Close Button
// ----------------

$closebutton-position: right top;
$closebutton-offset-horizontal: (
  small: 0.66rem,
  medium: 1rem,
);
$closebutton-offset-vertical: (
  small: 0.33em,
  medium: 0.5rem,
);
$closebutton-size: (
  small: 1.5em,
  medium: 2em,
);
$closebutton-lineheight: 1;
$closebutton-color: $dark-gray;
$closebutton-color-hover: $black;

// 19. Forms
// ---------

/*$fieldset-border: 1px solid $medium-gray;*/
$fieldset-border: none;
$fieldset-padding: rem-calc(20);
$fieldset-margin: rem-calc(18 0);
$legend-padding: rem-calc(0 3);
$form-spacing: rem-calc(16);
$helptext-color: $black;
$helptext-font-size: rem-calc(13);
$helptext-font-style: italic;
$input-prefix-color: $medium-gray-2;
$input-prefix-background: $lightest-gray;
/*$input-prefix-background: $light-gray;*/
$input-prefix-border: none;
/*$input-prefix-border: 1px solid $medium-gray;*/
$input-prefix-padding: .5rem;
$form-label-color: $black;
$form-label-font-size: rem-calc(14);
$form-label-font-weight: $global-weight-normal;
$form-label-line-height: 1;
$select-background: $lightest-gray;
$select-triangle-color: $dark-gray;
$select-radius: $global-radius;
$input-color: $black;
$input-placeholder-color: $medium-gray-2;
$input-font-family: inherit;
$input-font-size: rem-calc(15);
$input-font-weight: $global-weight-normal;
$input-background: $lightest-gray;
/*$input-background: $white;*/
$input-background-focus: $lightest-gray;
$input-background-disabled: $light-gray;
/*$input-border: 1px solid $medium-gray;*/
$input-border: none;
/*$input-border-focus: 1px solid $dark-gray;*/
$input-border-focus: none;
/*$input-shadow: inset 0 1px 2px rgba($black, 0.1);*/
$input-shadow: none;
$input-shadow-focus: none;
/*$input-shadow-focus: 0 0 5px $medium-gray;*/
$input-cursor-disabled: not-allowed;
$input-transition: none;
// $input-transition: box-shadow 0.5s, border-color 0.25s ease-in-out;
$input-number-spinners: true;
$input-radius: $global-radius;
$form-button-radius: $global-radius;


// 22. Menu
// --------

$menu-margin: 0;
$menu-margin-nested: 1rem;
$menu-item-padding: 0.7rem 1rem;
$menu-item-color-active: $white;
$menu-item-background-active: get-color(primary);
$menu-icon-spacing: 0.25rem;
$menu-item-background-hover: $light-gray;
$menu-border: $light-gray;

// 24. Off-canvas
// --------------

/*$offcanvas-size: 250px;*/
// $offcanvas-size: 70%; 
$offcanvas-size: 265px; // exact pixel size
/*$offcanvas-vertical-size: 250px;*/
$offcanvas-vertical-size: 65px;
/*$offcanvas-background: $light-gray;*/
$offcanvas-background: transparent;
/*$offcanvas-shadow: 0 0 10px rgba($black, 0.7);*/
$offcanvas-shadow: none;
$offcanvas-push-zindex: 0;
$offcanvas-overlap-zindex: 10;
$offcanvas-reveal-zindex: 1;
$offcanvas-transition-length: 0.3s;
$offcanvas-transition-timing: ease-in-out; //in sync with .off-canvas-content
$offcanvas-fixed-reveal: true;
$offcanvas-exit-background: transparent;
/*$offcanvas-exit-background: rgba($white, 0.25);*/
$maincontent-class: 'off-canvas-content';

// 31. Switch
// ----------

$switch-background: $medium-gray;
$switch-background-active: $primary-color;
$switch-height: 2rem;
$switch-height-tiny: 1.5rem;
$switch-height-small: 1.75rem;
$switch-height-large: 2.5rem;
$switch-radius: $global-radius;
$switch-margin: $global-margin;
$switch-paddle-background: $white;
$switch-paddle-offset: 0.25rem;
$switch-paddle-radius: $global-radius;
$switch-paddle-transition: all 0.25s ease-out;

// 35. Title Bar
// -------------

$titlebar-background: $white;
$titlebar-color: $very-dark-gray;
$titlebar-padding: 0.5rem;
$titlebar-text-font-weight: bold;
$titlebar-icon-color: $primary-color;
$titlebar-icon-color-hover: $very-dark-gray;
$titlebar-icon-spacing: 0.25rem;

// 37. Top Bar
// -----------

$topbar-padding: 0.5rem;
$topbar-background: $white;
$topbar-submenu-background: $topbar-background;
$topbar-title-spacing: 0.3rem;
$topbar-input-width: 200px;
$topbar-unstack-breakpoint: small;
